local _ = {name = "air", prob = 0}
local Q = {name = "default:pine_tree", force_place = true}
local R = {name = "nalc_mediterranean:needles", param2=0}

local schems_cypres = {
	size = {x=7, y=20, z=7},
	yslice_prob = {
		{ypos=0, prob=254},
		{ypos=1, prob=254},
		{ypos=2, prob=254},
		{ypos=3, prob=192},
		{ypos=4, prob=254},
		{ypos=5, prob=192},
		{ypos=6, prob=254},
		{ypos=7, prob=254},
		{ypos=8, prob=254},
		{ypos=9, prob=254},
		{ypos=10, prob=254},
		{ypos=11, prob=254},
		{ypos=12, prob=254},
		{ypos=13, prob=254},
		{ypos=14, prob=254},
		{ypos=15, prob=254},
		{ypos=16, prob=254},
		{ypos=17, prob=254},
		{ypos=18, prob=254},
		{ypos=19, prob=254},
	},
	data = {
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,R,_,_,_,
		_,_,_,R,_,_,_,
		_,_,_,R,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,

		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,R,_,_,_,
		_,_,_,R,_,_,_,
		_,_,R,R,R,_,_,
		_,_,R,R,R,_,_,
		_,_,R,R,R,_,_,
		_,_,_,R,_,_,_,
		_,_,_,R,_,_,_,
		_,_,_,R,_,_,_,
		_,_,_,R,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,

		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,R,_,_,_,
		_,_,_,R,_,_,_,
		_,_,R,R,R,_,_,
		_,_,R,R,R,_,_,
		_,R,R,R,R,R,_,
		_,R,R,R,R,R,_,
		_,R,R,R,R,R,_,
		_,_,R,R,R,_,_,
		_,_,R,R,R,_,_,
		_,_,R,R,R,_,_,
		_,_,R,R,R,_,_,
		_,_,_,R,_,_,_,
		_,_,_,R,_,_,_,
		_,_,_,R,_,_,_,
		_,_,_,R,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,

		_,_,_,Q,_,_,_,
		_,_,_,Q,_,_,_,
		_,_,R,Q,R,_,_,
		_,R,R,Q,R,_,_,
		_,R,R,Q,R,R,_,
		_,R,R,Q,R,R,_,
		R,R,R,Q,R,R,R,
		R,R,R,Q,R,R,R,
		R,R,R,Q,R,R,R,
		_,R,R,Q,R,R,_,
		_,R,R,Q,R,R,_,
		_,R,R,Q,R,R,_,
		_,R,R,Q,R,R,_,
		_,_,R,Q,R,_,_,
		_,_,R,Q,R,_,_,
		_,_,R,Q,R,_,_,
		_,_,R,R,R,_,_,
		_,_,_,R,_,_,_,
		_,_,_,R,_,_,_,
		_,_,_,R,_,_,_,		

		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,R,_,_,_,
		_,_,_,R,_,_,_,
		_,_,R,R,R,_,_,
		_,_,R,R,R,_,_,
		_,R,R,R,R,R,_,
		_,R,R,R,R,R,_,
		_,R,R,R,R,R,_,
		_,_,R,R,R,_,_,
		_,_,R,R,R,_,_,
		_,_,R,R,R,_,_,
		_,_,R,R,R,_,_,
		_,_,_,R,_,_,_,
		_,_,_,R,_,_,_,
		_,_,_,R,_,_,_,
		_,_,_,R,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,

		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,R,_,_,_,
		_,_,_,R,_,_,_,
		_,_,R,R,R,_,_,
		_,_,R,R,R,_,_,
		_,_,R,R,R,_,_,
		_,_,_,R,_,_,_,
		_,_,_,R,_,_,_,
		_,_,_,R,_,_,_,
		_,_,_,R,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,R,_,_,_,
		_,_,_,R,_,_,_,
		_,_,_,R,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
		_,_,_,_,_,_,_,
	}
}

return schems_cypres
